%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%global srcname carrot

Name:           python-%{srcname}
Version:        0.10.7
Release:        17%{?dist}
Summary:        AMQP Messaging Framework for Python

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/carrot
Source0:        http://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools


%global _description\
python-carrot is an AMQP messaging queue framework. AMQP is the Advanced\
Message Queuing Protocol, an open standard protocol for message\
orientation, queuing, routing, reliability and security.\
\
The aim of python-carrot is to make messaging in Python as easy as possible\
by providing a high-level interface for producing and consuming\
messages. At the same time it is a goal to re-use what is already\
available as much as possible.\


%description %_description

%package -n python2-%{srcname}
Summary: %summary
Requires:       python2-amqplib
Requires:       python2-anyjson
Requires:       python2-pyyaml
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build


%install
rm -rf $RPM_BUILD_ROOT
%py2_install

 

%files -n python2-%{srcname}
%doc AUTHORS Changelog LICENSE
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}*.egg-info


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.10.7-16
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.7-14
- Python 2 binary package renamed to python2-carrot
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 09 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.10.7-4
- Rebuild for new gcc.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan  8 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.10.7-2
- Add requires on python-anyjson instead of python-json.
- BR on python-devel instead of python2-devel.
- Add buildroot for use in EPEL branches.
- Add python-sitelib macro.

* Mon Nov 01 2010 Fabian Affolter <fabian@bernewireless.net> - 0.10.7-1
- Updated to new upstream release 0.10.7

* Sat Jul 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.10.5-1
- Initial package
